

var templatetour;
templatetour ="<div class='popover tour' style='max-width:500px !important;'>";
templatetour+="<div class='arrow'></div>";
templatetour+="<h3 class='popover-title'></h3>";
templatetour+="<div class='popover-content'></div>";
templatetour+="<div class='popover-navigation'>";
templatetour+="<button class='btn btn-sm btn-default' data-role='prev'>« Prec</button>";
templatetour+="<button class='btn btn-sm btn-default' data-role='next'>Suiv »</button>";
templatetour+="<button class='btn btn-sm btn-default' data-role='end'>Aide Accueil</button>";
templatetour+="<a style='float:right' target='_blank' href='https://transnum-portail.ac-dijon.fr/moodle/pluginfile.php/6987/mod_resource/content/1/Tutoriel%20page%20groupe.pdf'><button class='btn btn-sm btn-default'>Tutoriel Groupe</button></a>";
templatetour+="<button class='btn btn-sm btn-default' data-role='end'>Fin</button>";
templatetour+="</div>";
templatetour+="</div>";

var templatetourSolo;
templatetourSolo="<div class='popover tour' style='max-width:500px !important;'>";
templatetourSolo+="<div class='arrow'></div>";
templatetourSolo+="<h3 class='popover-title'></h3>";
templatetourSolo+="<div class='popover-content'></div>";
templatetourSolo+="<div class='popover-navigation'>";
templatetourSolo+="<button class='btn btn-sm btn-default' data-role='prev'>« Prec</button>";
templatetourSolo+="<button class='btn btn-sm btn-default' data-role='next'>Suiv »</button>";
templatetourSolo+="<button class='btn btn-sm btn-default' data-role='end'>Fin</button>";
templatetourSolo+="</div>";
templatetourSolo+="</div>";

var templatetourLink;
templatetourLink="<div class='popover tour' style='max-width:500px !important;'>";
templatetourLink+="<div class='arrow'></div>";
templatetourLink+="<h3 class='popover-title'></h3>";
templatetourLink+="<div class='popover-content'></div>";
templatetourLink+="<div class='popover-navigation'>";
templatetourLink+="<button class='btn btn-sm btn-default' data-role='prev'>« Prec</button>";
templatetourLink+="<button class='btn btn-sm btn-default' data-role='next'>Suiv »</button>";
templatetourLink+="<a target='_blank' href='https://transnum-portail.ac-dijon.fr/moodle/pluginfile.php/6987/mod_resource/content/1/Tutoriel%20page%20groupe.pdf'><button class='btn btn-sm btn-default'>Tutoriel Groupe</button></a>";
templatetourLink+="<button class='btn btn-sm btn-default' data-role='end'>Fin</button>";
templatetourLink+="</div>";
templatetourLink+="</div>";

var templatetourLinkAdmin;
templatetourLinkAdmin="<div class='popover tour' style='max-width:500px !important;'>";
templatetourLinkAdmin+="<div class='arrow'></div>";
templatetourLinkAdmin+="<h3 class='popover-title'></h3>";
templatetourLinkAdmin+="<div class='popover-content'></div>";
templatetourLinkAdmin+="<div class='popover-navigation'>";
templatetourLinkAdmin+="<button class='btn btn-sm btn-default' data-role='prev'>« Prec</button>";
templatetourLinkAdmin+="<button class='btn btn-sm btn-default' data-role='next'>Suiv »</button>";
templatetourLinkAdmin+="<a target='_blank' href='https://transnum-portail.ac-dijon.fr/moodle/pluginfile.php/6759/mod_resource/content/1/Tutoriel%20Administration%20portail.pdf'><button class='btn btn-sm btn-default'>Tutoriel Admin portail</button></a>";
templatetourLinkAdmin+="<button class='btn btn-sm btn-default' data-role='end'>Fin</button>";
templatetourLinkAdmin+="</div>";
templatetourLinkAdmin+="</div>";

function callTour(mytour) {
    // Tour entête
    if(mytour=="MyTour") {
        // On lance le tour
        top.MyTour();
    }

    // Tour Accueil
    if(mytour=="MyTourAcceuil") {
        // On force l'affichage de la premiere frame
        top.$(".navbar-left").find("a").eq(0).click();

        // On lance le tour au bout de 1s le temps que l'iframe se réalise 
        setTimeout(function(){top.$("iframe").first().prop('contentWindow').MyTourAccueil(); }, 3000);
    }
}

// Instance the tour
function MyTour() {
    var tour = new Tour({
        name: "tour",
        template: templatetour,     
        onEnd: function (tour) {
            	// On force l'affichage de la premiere frame
        	top.$(".navbar-left").find("a").eq(0).click();

        	// On lance le tour au bout de 1s le temps que l'iframe se réalise 
        	setTimeout(function(){top.$("iframe").first().prop('contentWindow').MyTourAccueil(); }, 3000);
        },           
        steps: [
            {
                element: "#logo",
                title: "Transnum",
                content: "Bienvenue sur le portail TRANSNUM. A tout moment, vous pouvez cliquer ici, sur le logo de votre service, pour revenir à la page d'accueil de votre portail."
            },
			{
                element: $("[title=Configuration]"),
                title: "Configuration",
                placement : "left",
				content: "Accédez ici aux outils de configuration de Transnum"
            },
			{
                element: $("[title=Aide]"),
                title: "Aide",
                placement : "left",
				content: "A tout moment et <strong>dans toutes les pages de Transnum</strong>, cliquez ici pour trouver une aide contextuelle !"
            },
            {
                element: "#menu-annuaire",
                title: "Annuaire",
                placement : "left",
                content: "Vous pouvez rechercher un utilisateur dans l'annuaire du portail en cliquant ici."
            },
			{
                element: "#menu-group",
                title: "Vos Groupes",
                placement : "left",
                content: "Vous accédez ici aux groupes auxquels vous êtes inscrits"
            },
			{
                element: "#menu-notice",
                title: "Charte utilisateur",
                placement : "left",
                content: "Vous pouvez consulter ici la charte d'utilisation du portail qui précise les conditions que vous vous engagez à respecter notamment en termes de sécurité et de protection des données"
            },
			{
                element: "#menu-profil",
                title: "Votre Profil",
                placement : "left",
                content: "Vous pouvez modifier les informations vous concernant à cet emplacement. A droite du bouton 'profil', vous trouvez le bouton vous permettant de vous déconnecter du portail"
            },
			{
                element: "#menusubmit",
                title: "Créer une page",
                placement : "left",
                content: "Vous pouvez, en cliquant ici, créer une page personnelle, que vous pourrez partager ensuite, ou bien créer directement une page rattachée à un groupe."
            },
            {
                element: ".active:first",
                title: "Barre de navigation rapide",
                placement : "bottom",
                content: "Cette barre vous permet d'accéder rapidement à la <strong> page d'accueil</strong> et à vos <strong>groupes de travail</strong>. Vous pouvez maintenant passer à la 2nde partie du tutoriel, consacrée à la page d'accueil.",
		onNext: function (tour) {
            		// On force l'affichage de la premiere frame
        		top.$(".navbar-left").find("a").eq(0).click();

 		       	// On lance le tour au bout de 1s le temps que l'iframe se réalise 
        		setTimeout(function(){top.$("iframe").first().prop('contentWindow').MyTourAccueil(); }, 3000);
        	}
            }
        ]
    });
   
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}

function MyTourAccueil() {
    var tour = new Tour({
        name: "touraccueil",
        template: templatetourSolo, 
        steps: [ 
            {
                element: $(".widget-itemessential").find(".widgetheader"), 
                title: "le Bureau",
                placement : "right",
                content: "Dans ce premier panneau d'outils, vous trouvez les applications qui vous sont proposées. En cliquant sur le bouton '?' à l'intérieur de ce panneau, vous ouvrez une nouvelle page de votre navigateur avec un tutoriel sur la gestion du bureau et l'ajout de nouvelles applications.",
            },            
            {
                element: $(".widget-group").find(".widgetheader"), 
                title: "Mes Groupes de travail",
                placement : "right",
                content: "Dans le 2nd panneau d'outils, vous trouvez les 'groupes de travail' auxquels vous avez été invités et ceux que vous avez créés. En cliquant sur le bouton '+', vous accédez à une nouvelle page qui vous permet de créer un groupe de travail. N'oubliez pas que dans chaque nouvelle page que vous ouvrez, vous avez accès à une aide en cliquant sur le bouton ' ? ' en haut de page.",
            },
			{
                element: $(".widget-blog").find(".widgetheader"), 
                title: "Journaux des groupes",
                placement : "right",
                content: "Ici, vous trouvez les 'Journaux des Groupes' auxquels vous avez été invités et ceux que vous avez créés. Ils vous donnent les principales nouvelles concernant vos groupes de travail. En survolant cette zone avec votre souris, vous ferez apparaître l'icône vous permettant d'ajouter un article, selon les droits que vous avez dans les groupes.",
            },
            {
                element: $(".widget-alert").find(".widgetheader"), 
                title: "Radio Transnum",
                placement : "left",
                content: "Dans ce panneau, vous trouvez les annonces et nouvelles d'intérêt général, qui concernent tous les membres du portail. Vous pouvez replier ce widget en cliquant sur son titre ' RADIO TRANSNUM', tous les widgets peuvent être repliés de la même façon.",
            },
            {
                element: $(".widget-groupmessage").find(".widgetheader"), 
                title: "Actualités des groupes",
                placement : "left",
                content: "Dans ce panneau, vous trouvez les évènements de la vie de vos groupes : principalement les discussions, l'arrivée de nouveaux membres, le partage de nouveaux fichiers et de nouveaux liens 'favoris'.",
            },
            {
                element: $(".widget-calendar").find(".widgetheader"), 
                title: "Agenda des groupes",
                placement : "left",
                content: "Dans ce panneau, vous trouvez les prochains évènements de vos agendas de groupes. En survolant avec votre souris cette zone, vous ferez apparaître l'icône vous permettant d'accéder à votre agenda.",
            },
            {
                element: $(".widget-appexternal").find(".widgetheader"), 
                placement : "left",
                title: "Formulaires",
                content: "Dans ce dernier panneau, vous trouvez les formulaires qui sont mis à votre disposition pour effectuer des demandes (par exemple pour faire un 'ticket de support'). ",
        },		
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function MyTourGroupe() {
    var tour = new Tour({
        name: "tourgroupe",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#group_label"), 
                title: "Nom du groupe",
                placement : "right",
                content: "Indiquez ici le nom que vous souhaitez donner à votre groupe. Le nom du groupe doit désigner en 1 à 3 mots le thème, l'objet ou l'objectif des travaux qui y sont menés.",
            },
			{
                element: $("#group_description"), 
                title: "Description du groupe",
                placement : "right",
                content: "Vous pouvez préciser ici les objectifs de votre groupe ou tout autre élément permettant de le décrire. Ces éléments seront affichés sur la page du groupe",
            },
			{
                element: $("#group_color"), 
                title: "Couleur du groupe",
                placement : "right",
                content: "La couleur que vous choisissez ici permet de différencier visuellement les actualités qui remontent sur votre page d'accueil (une couleur spécifique pour chaque groupe).",
            },	
			{
                element: $("#group_fgopen"), 
                title: "Ouvert ou fermé ?",
                placement : "right",
                content: "Par défaut votre groupe est fermé, ce qui signifie que seul le propriétaire du groupe ou un de ses managers peut gérer les inscriptions. Si le groupe est ouvert, tout utilisateur de Transnum pourra s'inscrire lui-même dans votre groupe.",
            },	
			{
                element: $("#group_fgcanshare"), 
                title: "Type de groupe",
                placement : "right",
                content: "Par défaut votre groupe est créé sous forme de groupe de travail.",
            },	
			{
                element: $("#group_pagetemplate"), 
                title: "Modèle de page pour le groupe",
                placement : "right",
                content: "Choisissez un modèle de page pour votre groupe.",
            },
			{
                element: $("#diviconsel"), 
                title: "Icône du groupe",
                placement : "right",
                content: "Choisissez l'icône pour votre groupe en cliquant sur 'Sélectionner une icône'.",
            },
			{
                element: $("#group_submit"), 
                title: "Validation de la création ou de la modification du groupe",
                placement : "right",
                content: "N'oubliez pas de valider la création ou la modification de votre groupe !",
            },				
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function MyTourGroupUsers() {
    var tour = new Tour({
        name: "tourGroupusers",
        template: templatetourSolo,            
        steps: [
            {
                element: $("[type=search]:first"), 
                title: "Rechercher un utilisateur",
                placement : "top",
                content: "Rechercher un utilisateur dans la colonne de gauche pour l'ajouter à votre groupe en cliquant sur '+'. Dans la colonne de droite s'affichent les utilisateurs déjà ajoutés, que vous pouvez retirer en cliquant sur '-'.",
            }, 
			{
                element: $(".switch:first"), 
                title: "Ajouter comme manager",
                placement : "left",
                content: " Vous pouvez ajouter un utilisateur comme manager, cela lui donne des droits sur la gestion de votre groupe, notamment celui d'ajouter ou de retirer des utilisateurs ou d'organiser l'espace de travail du groupe. Comme propiétaire du groupe, vous avez des droits supplémentaires, comme celui de supprimer le groupe.",
            },
			{
                element: $(".btn:first"), 
                title: "Fermer ou inviter des participants non listés",
                placement : "top",
                content: " En fermant, vous enregistrez automatiquement vos modifications. Vous pouvez aussi ajouter des participants non listés en cliquant sur le bouton de droite 'Inviter des personnes non listées ci-dessous' puis en entrant leurs adresses email.",
            },
			{
                element: $(".btn:last"), 
                title: "Exporter la liste des membres du groupe",
                placement : "left",
                content: " Cliquez ici pour exporter la liste des membres du groupe. Attention quand vous l'importez dans Calc ou Excel, choisissez pour origine de fichier ou jeu de caractères 'Unicode (UTF-8)', sinon les accents seront mal importés.",
            },			
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}

function MyTourUser() {
    var tour = new Tour({
        name: "touruser",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#user_username"), 
                title: "Votre login",
                placement : "right",
                content: "Votre login ne peut pas être modifié car c'est sur celui-ci que vous êtes identifié dans le portail Transnum.",
            }, 
			{
                element: $("#user_password_first"), 
                title: "Votre mot de passe",
                placement : "right",
                content: "Vous pouvez changer ici votre mot de passe. Vous devrez aussi le retaper dans le champ ci-dessous.",
            },
			{
                element: $("#user_email"), 
                title: "Votre adresse email",
                placement : "right",
                content: "Vous pouvez changer votre adresse email, si vous changez par exemple de service. Pour des raisons de sécurité, il est interdit de changer une adresse professionnelle par une adresse personnelle.",
            },
			{
                element: $("#user_visible"), 
                title: "Visibilité de vos informations",
                placement : "right",
                content: "Par défaut, les informations basiques vous concernant (Nom, Prénom, Adresse email, Service...) doivent rester visibles par les autres membres de la communauté Transnum. Les informations personnelles optionnelles ne sont pas visibles par les autres membres.",
            },
			{
                element: $("#user_job"), 
                title: "Votre métier",
                placement : "right",
                content: "Vous pouvez préciser ici le métier que vous exercez.",
            },
			{
                element: $("#user_position"), 
                title: "Votre fonction",
                placement : "right",
                content: "Vous pouvez préciser ici la fonction, le poste que vous occupez.",
            },
			{
                element: $("#user_niveau01"), 
                title: "Votre service",
                placement : "right",
                content: "Merci de vérifier que votre service est toujours bien renseigné.",
            },
			{
                element: $("#select2-user_niveau02-container"), 
                title: "Votre localisation",
                placement : "right",
                content: "Merci de vérifier que votre localisation est bien renseignée.",
            },
			{
                element: $("#user_avatar_img"), 
                title: "Votre avatar",
                placement : "right",
                content: "Vous pouvez charger ici votre photo ou un avatar de votre choix. La communauté Transnum regroupe de nombreux services et agents. Publiez votre photo, cela aidera vos collègues à vous reconnaître plus facilement et renforcera la convivialité au sein des services. ",
            },
			{
                element: $("#user_avatar_img"), 
                title: "Vos groupes",
                placement : "right",
                content: "Ci-dessous, vous retrouvez la liste de vos groupes. Si vous cliquez sur 'Inscription à un groupe', vous avez accès aux groupes 'ouverts' que vous pouvez rejoindre. Pour les groupes 'fermés' vous devez être invité par le propriétaire du groupe ou l'un de ses managers.",
            },
			{
                element: $("#user_submit"), 
                title: "Validez vos modifications",
                placement : "right",
                content: "Attention, avant de fermer cette page, n'oubliez pas de valider vos modifications !",
            },			
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function MyTourUsers() {
    var tour = new Tour({
        name: "tourusers",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#dataTables_filter"), 
                title: "Rechercher",
                placement : "top",
                content: "Vous avez accès ici à l'ensemble des personnes inscrites sur Transnum. Lancer votre recherche par le nom, le prénom... ou bien trier la liste par ordre croissant ou décroissant. La recherche s'exécute sur tous les champs sauf le téléphone, la localisation et les groupes.",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function Groups() {
    var tour = new Tour({
        name: "tourgroups",
        template: templatetourLink,            
        steps: [
            {
                element: $("#dataTables_filter"), 
                title: "Liste des groupes",
                placement : "top",
                content: "Voici la liste de tous les groupes où vous êtes inscrits. Pour ceux que vous avez créés vous en êtes 'propriétaire'. Pour les autres groupes, soit vous en êtes 'manager', dans ce cas vous pouvez les gérer (en particulier ajouter des utilisateurs), soit vous êtes seulement 'utilisateur', dans ce cas vous avez accès aux contenus auxquels vous pouvez contribuer et avez aussi la possibilité de quitter le groupe. A gauche de ce message, vous disposez aussi d'un bouton vous permettant de créer un nouveau groupe. Maintenant continuez ce tutoriel en cliquant sur 'Tutoriel Groupe' ci-dessous. ",
            },
	    ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function MyTourPage() {
    var tour = new Tour({
        name: "tourPage",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#page_submit_name"), 
                title: "Nom de la page",
                placement : "top",
                content: "Donnez un nom court mais explicite à votre page.. Si cette page est partagée au sein d'un groupe, elle s'ajoutera à la page par défaut du groupe via un sous-menu.",
            }, 
			{
                element: $("#page_submit_pagecategory"), 
                title: "Catégorie de page URL",
                placement : "top",
                content: "Choisissez le type de page que vous souhaitez utiliser : si vous choisissez 'URL' vous devrez coller l'URL de destination - par exemple, l'URL d'une page 'Tableau blanc' que vous aurez pris le soin de partager avec un lien public : seuls les membres du groupe (ou ceux qui connaissent l'URL) auront accès à cette page.",
            },	
			{
                element: $("#page_submit_pagecategory"), 
                title: "Catégorie de page WIDGET",
                placement : "bottom",
                content: "Si vous choisissez 'Widget' vous pourrez composer votre page avec des widgets existants dans votre groupe (comme l'agenda, le chat...) : dans ce cas attention à ne pas faire double emploi avec la page principale du groupe (cela peut être intéressant pour un sous-projet par exemple)",
            },
			{
                element: $("#page_submit_pagecategory"), 
                title: "Catégorie de page Editeur",
                placement : "top",
                content: "Enfin si vous choisissez 'Editeur' vous pourrez créer votre page avec un éditeur HTML sans avoir à rentrer de code... Cependant n'oubliez pas que vous pouvez aussi utiliser un 'journal de groupe' ou l'outil 'micro-sites' pour ce type d'usage",
            },
			{
                element: $("#page_submit_usage"), 
                title: "Usage de la page",
                placement : "top",
                content: "Indiquez ici s'il s'agit pour l'instant d'une page personnelle (vous pourrez la partager ensuite à un ou plusieurs groupes) ou si vous souhaitez directement la lier à un ou plusieurs groupes.",
            },
			{
                element: $("#select2-page_submit_page-container"), 
                title: "Modèle de page",
                placement : "top",
                content: "Choisissez le modèle de page que vous souhaitez. Vous partez ainsi d'un modèle mais vous pourrez ensuite modifier l'organisation de votre page si besoin.",
            },{
                element: $("#page_submit_roworder"), 
                title: "ordre",
                placement : "top",
                content: "Par défaut, la page principale du groupe doit apparaître en 1er, l'ordre de cette page étant donc 0. Quand vous ajoutez une page, indiquez ordre 1 si vous souhaitez que celle-ci apparaisse en dessous de la page principale du groupe, si vous avez plusieurs pages, vous pouvez utiliser 2, 3... pour les hiérarchiser. Vous pourrez modifier l'ordre des différentes pages à tout moment si besoin.",
            },{
                element: $("#page_submit_maxwidth"), 
                title: "Usage de la page",
                placement : "top",
                content: "Laissez sur 0, votre page s'adaptera à la largeur de l'affichage de l'utilisateur.",
            },{
                element: $("#page_submit_submit"), 
                title: "Enregistrer la page",
                placement : "bottom",
                content: "Pour finir, enregistrez votre page, en cliquant sur 'valider'.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminHome() {
    var tour = new Tour({
        name: "adminhome",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#side-menu"), 
                title: "Configuration du portail",
                placement : "Right",
                content: "Cliquez sur 'Configuration' pour développer les sous-menus de configuration du portail.",
            },
			{
                element: $("#side-menu"), 
                title: "Organisation du portail",
                placement : "right",
                content: "Cliquez sur 'Organisation' pour définir la liste blanche, les services, les groupes... et gérer les utilisateurs.",
            }, 
			{
                element: $(".fa-cubes"), 
                title: "Portail",
                placement : "bottom",
                content: "Cliquez ici pour définir les modèles de page, gérer les pages, items, annonces... bref tous les éléments du portail.",
            }, 
			{
                element: $(".fa-exchange"), 
                title: "Synchronisation",
                placement : "bottom",
                content: "Permet de synchroniser manuellement les applications avec le LDAP du portail et de modifier les paramètres de synchronisation.",
            }, 
			{
                element: $(".fa-bolt"), 
                title: "Cron",
                placement : "bottom",
                content: "Permet de lancer manuellement des tâches de synchronisation et de notification et de définir l'instant auquel la prochaine tâche sera effectuée.",
            }, 
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminCommun() {
    var tour = new Tour({
        name: "admincommun",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".panel-heading"), 
                title: "paramètres de configuration générale",
                placement : "top",
                content: "Attention, ces paramètres déterminent la présentation générale de Transnum, vous ne devriez pas avoir à les modifier, à part peut-être le dernier paramètre 'permgroup', si vous souhaitez restreindre la création de groupe aux animateurs ou aux modérateurs.",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminTheme() {
    var tour = new Tour({
        name: "admintheme",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".col-sm-3:first"), 
                title: "Thème",
                placement : "right",
                content: "Attention, ne pas modifier le thème en cours ! cela impacterait l'affichage du site pour tous les utilisateurs.",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminPermmodo() {
    var tour = new Tour({
        name: "adminpermmodo",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".panel-heading"), 
                title: "Permissions des modérateurs",
                placement : "top",
                content: "C'est ici que vous définissez les permissions que vous donnez aux modérateurs (en général les SIDSIC et responsables SI des services). Ces paramètres doivent être changés après réflexion et test sur un compte modérateur que vous vous serez préalablement créé. Les 6 premiers et les 3 derniers doivent toujours rester sur 'off'.",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminDatauser() {
    var tour = new Tour({
        name: "admindatauser",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#datauser_firstname"), 
                title: "Affichage fiche utilisateur",
                placement : "top",
                content: "Pour chacun des champs ci-dessous, vous déterminez si le champ doit apparaître dans la fiche utilisateur (sa fiche profil) si le champ doit être obligatoirement rempli (important pour l'import de nouveaux utilisateurs) ou si le remplissage est facultatif. Attention, un champ bloqué ne pourra pas être modifié par l'utilisateur. Les champs login, nom, service et email devant rester des champs obligatoires (pour le login : champ bloqué), ils n'apparaissent pas dans la liste ci-dessous.",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminDatausers() {
    var tour = new Tour({
        name: "admindatausers",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#datauser_avatar"), 
                title: "Affichage annuaire",
                placement : "top",
                content: "Vous déterminez ici les champs qui s'afficheront dans l'annuaire des utilisateurs. Notez bien que la recherche pourra s'effectuer sur tous les champs sauf le téléphone, la localisation et les groupes. Concernant les groupes, nous recommandons de ne pas rendre visible cette information (qui peut cependant être affichée si on clique sur l'avatar de la personne).",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminWhitelist() {
    var tour = new Tour({
        name: "adminwhitelist",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn"), 
                title: "Ajouter un service en liste blanche",
                placement : "right",
                content: "Ajouter un service en liste blanche permet d'autoriser par principe toute personne ayant une adresse mail valide dans ce domaine à créer un compte dans Transnum, sans intervention d'un administrateur ou d'un modérateur.",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminServices() {
    var tour = new Tour({
        name: "adminservices",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn"), 
                title: "Ajouter un service",
                placement : "right",
                content: "Ajouter un service permet de gérer des groupes organisationnels de taille significative dans Transnum. Attention à ne pas trop multiplier le nombre de groupes et à bien vérifier que le groupe n'existe pas déjà sous un nom proche avant de l'ajouter. Tout membre de Transnum doit appartenir à un service (dont le service 'autres' pour les externes).",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminEtablissements() {
    var tour = new Tour({
        name: "adminetablissements",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn"), 
                title: "Ajouter un établissement à un service",
                placement : "right",
                content: "Ajouter un établissement à un service permet de localiser toute personne appartenant à un service dans l'établissement où elle est rattachée, cette information apparaissant notamment dans l'annuaire.",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminGroup() {
    var tour = new Tour({
        name: "admingroup",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn"), 
                title: "Ajouter un groupe",
                placement : "right",
                content: "Ajouter un groupe en tant qu'admin, vous permet de désigner le propriétaire du groupe, de constituer le groupe et de le configurer à la place du propriétaire final. En cliquant sur 'Ajouter', vous ouvrirez une nouvelle page et trouverez une aide contextuelle dans celle-ci.",
            },
			{
                element: $(".panel-heading"), 
                title: "Liste des groupes",
                placement : "top",
                content: "Pour chaque groupe, vous pouvez modifier sa configuration, le supprimer (attention cela est aussi susceptible de supprimer des contenus) et modifier la composition et les rôles des membres du groupe, de la même façon qu'un propriétaire peut le faire. Seul le groupe 'Tout le monde' ne peut être supprimé et modifié dans sa composition - par contre, vous pouvez modifier ses paramètres mais faîtes bien attention à ce que vous faîtes car cela modifie la page d'accueil, les permissions et les éléments du portail pour l'ensemble des utilisateurs de Transnum.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminGroupSubmit() {
    var tour = new Tour({
        name: "admingroupsubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#group_label"), 
                title: "Donner un nom",
                placement : "top",
                content: "Donner un nom au groupe : ce nom doit être court et caractériser la thématique ou la vocation du groupe. Le nom du groupe est le principal élément d'identification du groupe de travail ou du groupe organisationnel.",
            },
			{
                element: $("#group_description"), 
                title: "Description",
                placement : "top",
                content: "S'il s'agit d'un groupe de travail, vous pouvez préciser ici les objectifs de votre groupe ou tout autre élément permettant de le décrire. Ces éléments seront affichés sur la page du groupe de travail.",
            },
			{
                element: $("#group_color"), 
                title: "Couleur du groupe",
                placement : "top",
                content: "La couleur que vous choisissez ici permet de différencier visuellement les actualités qui remontent sur votre page d'accueil (une couleur spécifique pour chaque groupe).",
            },
			{
                element: $("#select2-group_owner-container"), 
                title: "Désigner un propriétaire",
                placement : "top",
                content: "Il est indispensable pour un groupe de travail de désigner le propriétaire du groupe. Pour un groupe organisationnel, ce n'est pas obligatoire. Le propriétaire dispose de tous les droits sur le groupe.",
            },
			{
                element: $("#group_fgopen"), 
                title: "Ouvert ou fermé ?",
                placement : "top",
                content: "Un groupe ouvert permet à tout utilisateur inscrit sur Transnum de d'inscrire dans le groupe, sans qu'aucune intervention du propriétaire ou d'un manager ne soit nécessaire. Pour décider des inscriptions choisir 'non' (groupe fermé) : dans ce cas le propriétaire ou un manager doit procéder aux inscriptions nominatives des membres du groupe.",
            },
			{
                element: $("#group_fgcanshare"), 
                title: "Type de groupe",
                placement : "top",
                content: "S'il s'agit d'un groupe de travail, le groupe disposera par défaut d'une page de groupe sur la page d'accueil, avec différentes fonctionnalités associées (calendrier, blog, espace de co-rédaction de documents, Gantt...). Si vous indiquez non, le groupe sera considéré comme un groupe organisationnel, sans fonctionnalités spécifiques associées.",
            },
			{
                element: $("#group_pagetemplate"), 
                title: "Modèle de page de groupe de travail",
                placement : "top",
                content: "Choisissez un modèle de page pour le  groupe.",
            },
			{
                element: $("#diviconsel"), 
                title: "Icône du groupe",
                placement : "top",
                content: "Choisissez l'icône pour le groupe en cliquant sur 'Sélectionner une icône'. ",
            },
			{
                element: $("#group_fgcancreatepage"), 
                title: "Permissions du portail",
                placement : "top",
                content: "A préciser.",
            },
			{
                element: $(".panel-heading:last"), 
                title: "Elements du portail",
                placement : "top",
                content: "Vos choix ici n'ont d'incidence que s'il s'agit d'un groupe de travail. Vous pouvez définir ici d'autres modalités pour votre groupe de travail que celles définies par défaut lors de la création d'un groupe par un utilisateur : par exemple ne pas afficher la page de groupe du modèle, mais une page de votre choix ou même la page d'un autre groupe... ",
            },
			{
                element: $("#group_submit"), 
                title: "Valider",
                placement : "right",
                content: "Pour finir, n'oubliez pas de valider !",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminRegistration() {
    var tour = new Tour({
        name: "adminregistration",
        template: templatetourLinkAdmin,            
        steps: [
            {
                element: $(".panel-heading"), 
                title: "Gestion des inscriptions",
                placement : "top",
                content: "Comme adminstrateur, vous devez surtout vous intéresser aux inscriptions en attente d'une validation par un administrateur (voir colonne statut - se reporter au PDF consacré à ce sujet en cliquant sur le bouton 'tutoriel Admin Portail').",
            },  
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminUser() {
    var tour = new Tour({
        name: "adminuser",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter un utilisateur",
                placement : "bottom",
                content: "Ajouter un utilisateur dans Transnum, sans intervention de l'utilisateur, vous devrez simplement lui indiquer le mot de passe que vous avez créé pour lui ou de façon plus sûre, lui demander de réinitialiser son mot de passe à la 1ère connexion (dans ce cas ne lui communiquez pas le mot de passe d'origine) - dans tous les cas n'oubliez pas de communiquer le login à l'utilisateur.",
            }, 
			{
                element: $(".btn:last"), 
                title: "Exporter la liste des utilisateurs",
                placement : "bottom",
                content: "Exporter la liste des utilisateurs ne CSV, attention à l'importation dans Excel ou Calc, vous devrez choisir pour origine du fichier ou jeu de caractères 'Unicode (UTF-8)' sinon les accents ne seront pas correctement importés.",
            },
			{
                element: $(".panel-heading"), 
                title: "Ajouter un utilisateur",
                placement : "top",
                content: "Modifier ou supprimer un utilisateur en utilisant d'abord l'outil de recherche pour le trouver puis en sélectionnant l'icône requise. En choisissant l'action 'modifier', vous pourrez notamment changer son adresse email ou lui ajouter des groupes.",
            }, 
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminImportuser() {
    var tour = new Tour({
        name: "adminimportuser",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Choisissez votre fichier",
                placement : "top",
                content: "Attention, suivez bien les indications incluses dans cette page : votre fichier doit être de type ' CSV ; ' et comporter au minimum les 4 entêtes de colonnes et le contenu pour chaque ligne sur les champs suivants : ' login; nom; email; niveau01 ' - niveau01 correspond au service. les autres libellés sont optionnels mais s'ils sont présents dans votre fichier, ils doivent respecter le libellé exact (exemple 'prenom' sans accent) et les options de réponses doivent avoir été préalablement créées pour certains champs notamment niveau02 (établissement).",
            }, 
			{
                element: $("#exec"), 
                title: "Lancer l'import",
                placement : "top",
                content: "Si votre fichier est correctement reconnu, vous pouvez lancer l'importation de votre liste.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminTemplate() {
    var tour = new Tour({
        name: "admintemplate",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn"), 
                title: "Ajouter un modèle",
                placement : "right",
                content: "Cliquez ici pour ajouter un nouveau modèle. Votre nouveau modèle sera accessible aux utilisateurs comme modèle de page de groupe (group), de page personnelle (user), ou de page d'applications (app), la création d'un nouveau modèle doit donc être préalablement réfléchie pour répondre aux besoins des utilisateurs. ",
            }, 
			{
                element: $(".fa-trash:first"), 
                title: "Supprimer un modèle",
                placement : "right",
                content: "Attention à laisser au moins un modèle par catégorie (page de groupe, page personnelle, ou page d'applications).",
            }, 
			{
                element: $(".fa-eye:first"), 
                title: "voir un modèle",
                placement : "right",
                content: "Voir un modèle vous permet d'en avoir un aperçu mais aussi vous donne accès à la modification des widgets et leur organisation dans la page.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminTemplateSubmit() {
    var tour = new Tour({
        name: "admintemplatesubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#pagetemplate_submit_name"), 
                title: "Donner un nom",
                placement : "top",
                content: "Commencez par donner un nom à votre modèle. Les modèles étant a priori accessibles à tous les utilisateurs, il faut faire en sorte que le nom ait un sens qui évoque la principale caractéristique du modèle.",
            }, 
			{
                element: $("#pagetemplate_submit_parentfor"), 
                title: "Choisir le type de page",
                placement : "top",
                content: "Indiquez ici sur quel type de page s'applique le modèle : page personnelle, page de groupe ou page d'applications.",
            }, 
			{
                element: $("#pagetemplate_submit_roworder"), 
                title: "Ordre de présentation du modèle",
                placement : "top",
                content: "Il s'agit de l'ordre dans lequel vos différents modèles vont être proposés aux utilisateurs dans le menu déroulant de sélection : 0 s'affichera en 1er, puis 1,2...",
            }, {
                element: $("#pagetemplate_submit_maxwidth"), 
                title: "Taille d'affichage de la page",
                placement : "top",
                content: "Laissez 0 par défaut pour que la page soit 'responsive' et s'adapte à l'écran de l'utilisateur.",
            }, {
                element: $("#pagetemplate_submit_submit"), 
                title: "Validez",
                placement : "top",
                content: "N'oubliez pas de valider la création de votre modèle. A l'étape suivante, vous pourrez structurer votre page et définir les utilisateurs potentiels du modèle...",
            }, 
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminTemplateView() {
    var tour = new Tour({
        name: "admintemplateview",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".pagemenu"), 
                title: "Modifier le modèle",
                placement : "bottom",
                content: "En cliquant sur la 1ère icône, l'icône 'fichier' à droite du nom du modèle, vous avez accès à la modification du nom du modèle, du nombre de lignes et de colonnes dans la page, et vous définissez qui a accès au modèle...",
            }, 
			{
                element: $(".fa-trash:first"), 
                title: "supprimer le modèle",
                placement : "bottom",
                content: "En cliquant ici vous allez supprimer le modèle : nous vous conseillons plutôt de le conserver ou de l'améliorer voir de le rendre inaccessible aux utilisateurs, si vous jugez qu'en l'état il n'est pas pertinent...",
            }, 
			{
                element: $(".fa-cubes:last"), 
                title: "Sélectionner de nouveaux widgets",
                placement : "bottom",
                content: "En cliquant ici vous pouvez sélectionner et ajouter des widgets au sein de votre modèle de page. ",
            }, 
			{
                element: $("#R1C1"), 
                title: "Modifier le modèle",
                placement : "right",
                content: "Pour chaque widget, en survolant avec votre souris le widget, vous allez faire apparaître l'icône de modification et l'icône de suppression du widget. Vous pouvez également cliquer sur l'en-tête d'un widget et le translater dans la page : cela ne modifie pas l'organisation en lignes et colonnes mais cela permet de translater un widget d'une ligne à l'autre et/ou d'une colonne à l'autre.",
            }, 
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminTemplateUpdate() {
    var tour = new Tour({
        name: "admintemplateupdate",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#page_update_widget_name"), 
                title: "modifications basiques",
                placement : "top",
                content: "Vous pouvez modifier le nom , l'ordre d'apparition et l'affichage de votre page.",
            }, 
			{
                element: $("#select2-page_update_widget_user-container"), 
                title: "destinataires du modèle",
                placement : "top",
                content: "Vous pouvez indiquer un autre propriétaire que vous pour ce modèle. Si vous ne renseignez pas les champs 'Visible pour ...' ci-dessous, votre modèle de page personnelle ou d'applications sera accessible à tous les utilisateurs.",
            },
			{
                element: $("#gridtemplate"), 
                title: "agencement de la page",
                placement : "top",
                content: "Vous déterminez ici le nombre de blocs en lignes et colonnes de votre page. Cliquez sur ' + ' pour en ajouter, sur la poubelle pour en retirer et réglez la largeur de vos colonnes en cliquant sur les chevrons ' < ' ou ' > '",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminPage() {
    var tour = new Tour({
        name: "adminpage",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".panel-heading"), 
                title: "Liste des pages à gérer",
                placement : "top",
                content: "Vous trouvez ici la liste des pages que vous pourrez gérer, modifier... avec en particulier la page d'accueil : c'est donc ici que vous accédez à la gestion de la page d'accueil pour l'ensemble des utilisateurs (ou que vous pouvez décider d'afficher des pages d'accueil différentes suivant les services par exemple) - Faîtes donc très attention à ce que vous modifiez ici, l'impact est important pour l'ensemble des utilisateurs.",
            }, 
			{
                element: $(".control-label"), 
                title: "Afficher les utilisateurs",
                placement : "left",
                content: "Si vous placez le sélecteur sur 'on', vous avez accès à l'ensemble des pages utilisateurs du portail - cela peut être utile pour aider ceux-ci dans la gestion de leurs pages par exemple.",
            },
			{
                element: $(".btn"), 
                title: "Ajouter une page",
                placement : "right",
                content: "Vous pouvez ajouter ici une page et en affecter la propriété à un utilisateur et/ou la placer dans un groupe...",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminPageSubmit() {
    var tour = new Tour({
        name: "adminpagesubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#page_submit_name"), 
                title: "Donner un nom",
                placement : "top",
                content: "Commencez par donner un nom à votre page. Il faut faire en sorte que le nom ait un sens qui évoque le contenu de la page.",
            }, 
			{
                element: $("#page_submit_pagecategory"), 
                title: "Choisir la catégorie de page",
                placement : "top",
                content: "Indiquez ici le type de page : calendrier, blog, URL, widgets, éditeur.",
            }, 
			{
                element: $("#page_submit_usage"), 
                title: "Usage",
                placement : "top",
                content: "Indiquez ici si la page est une page personnelle ou une page de groupe.",
            }, 
			{
                element: $("#select2-page_submit_user-container"), 
                title: "Propriétaire",
                placement : "top",
                content: "Indiquez ici le propriétaire de la page.",
            }, 
			{
                element: $("#page_submit_roworder"), 
                title: "Ordre de présentation de la page",
                placement : "top",
                content: "Il s'agit de l'ordre dans lequel votre page va être proposée aux utilisateurs dans la barre de navigation et/ou dans le menu déroulant de sélection : 0 s'affichera en 1er, puis 1,2...",
            }, {
                element: $("#page_submit_maxwidth"), 
                title: "Taille d'affichage de la page",
                placement : "top",
                content: "Laissez 0 par défaut pour que la page soit 'responsive' et s'adapte à l'écran de l'utilisateur.",
            }, {
                element: $("#page_submit_submit"), 
                title: "Validez",
                placement : "top",
                content: "N'oubliez pas de valider la création de votre page. A l'étape suivante, vous pourrez structurer votre page et définir les utilisateurs potentiels...",
            }, 
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminPageView() {
    var tour = new Tour({
        name: "adminpageview",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".pagemenu"), 
                title: "Modifier la page",
                placement : "bottom",
                content: "En cliquant sur la 1ère icône, l'icône 'fichier' à droite du nom de la page, vous avez accès à la modification du nom, du nombre de lignes et de colonnes dans la page, et vous définissez qui a accès cette page...",
            }, 
			{
                element: $(".fa-trash:first"), 
                title: "supprimer la page",
                placement : "bottom",
                content: "En cliquant ici vous allez supprimer la page : si vous avez un doute sur l'impact de sa suppression, nous vous conseillons plutôt de la conserver ou de l'améliorer voire de la rendre inaccessible aux utilisateurs, si vous jugez qu'en l'état elle n'est pas pertinente...",
            }, 
			{
                element: $(".fa-cubes:last"), 
                title: "Sélectionner de nouveaux widgets",
                placement : "bottom",
                content: "En cliquant ici vous pouvez sélectionner et ajouter des widgets au sein de votre page. ",
            }, 
			{
                element: $("#R1C1"), 
                title: "Modifier la page",
                placement : "right",
                content: "Pour chaque widget, en survolant avec votre souris le widget, vous allez faire apparaître l'icône de modification et l'icône de suppression du widget. Vous pouvez également cliquer sur l'en-tête d'un widget et le translater dans la page : cela ne modifie pas l'organisation en lignes et colonnes mais cela permet de translater un widget d'une ligne à l'autre et/ou d'une colonne à l'autre.",
            }, 
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminPageUpdate() {
    var tour = new Tour({
        name: "adminpageupdate",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#page_update_widget_name"), 
                title: "modifications basiques",
                placement : "top",
                content: "Vous pouvez modifier le nom , l'ordre d'apparition et l'affichage de votre page.",
            }, 
			{
                element: $("#select2-page_update_widget_user-container"), 
                title: "destinataires du modèle",
                placement : "top",
                content: "Vous pouvez indiquer un autre propriétaire que vous pour cette page. Si vous ne renseignez pas les champs 'Visible pour ...' ci-dessous, votre page sera visible pour tous les utilisateurs.",
            },
			{
                element: $("#gridtemplate"), 
                title: "agencement de la page",
                placement : "top",
                content: "Vous déterminez ici le nombre de blocs en lignes et colonnes de votre page. Cliquez sur ' + ' pour en ajouter, sur la poubelle pour en retirer et réglez la largeur de vos colonnes en cliquant sur les chevrons ' < ' ou ' > '",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminItem() {
    var tour = new Tour({
        name: "adminitem",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter un item",
                placement : "right",
                content: "Ajouter un item consiste à ajouter un nouveau lien dans le portail et à y associer une icône spécifique, des utilisateurs... Ce lien apparaîtra dans la liste des liens pouvant être ajoutés sur le bureau de l'utilisateur, s'il est concerné (ciblé) par ce lien.",
            }, 
			{
                element: $(".btn:last"), 
                title: "Ajouter une catégorie",
                placement : "right",
                content: "Vous pouvez créer une nouvelle catégorie d'items pour regrouper ceux-ci par nature. Attention une catégorie ne doit servir qu'à différencier les items par nature (exemple : Applications / Administration / Liens externes / Micro-sites) et ne doit pas servir à différencier un ciblage d'utilisateurs par exemple (le ciblage se fait par item).",
            },
			{
                element: $(".grid-title:first"), 
                title: "organisation des items et des catégories",
                placement : "top",
                content: "Vous pouvez déplacer et organiser les items et les catégories par simple 'glisser-déposer'.",
            },
			{
                element: $(".panel-heading:first"), 
                title: "Afficher par rôle",
                placement : "top",
                content: "Sélectionner un rôle pour voir ce que ce rôle voit dans sa page de gestion du bureau.",
            },
			{
                element: $(".panel-heading:last"), 
                title: "Afficher par groupe",
                placement : "top",
                content: "Sélectionner un groupe pour voir ce que ce groupe voit dans sa page de gestion du bureau. N'oubliez pas que tous les utilisateurs sont aussi par défaut membres du groupe 'Tout le monde' et afficheront donc aussi les items de ce groupe.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminItemSubmit() {
    var tour = new Tour({
        name: "adminitemsubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#item_title"), 
                title: "Nom de l'item",
                placement : "top",
                content: "Donnez un nom le plus court et le plus explicite possible.",
            }, 
			{
                element: $("#item_subtitle"), 
                title: "Sous-titre de l'item",
                placement : "top",
                content: "Le sous-titre vous permet de préciser éventuellement le titre.",
            },
			{
                element: $("#item_essential"), 
                title: "Item essentiel",
                placement : "top",
                content: "En cochant cette case, vous placez obligatoirement l'item sur le bureau des populations ciblées. ",
            },
			{
                element: $("#cke_1_top"), 
                title: "Descriptif de l'item",
                placement : "top",
                content: "Placez ici le contenu que vous souhaitez afficher lorsque l'utilisateur clique sur le bouton ' i ' associé à l'item. Vous pouvez créer un contenu riche avec des images pour illustrer les possibilités de l'application. ",
            },
			{
                element: $("#item_url"), 
                title: "URL",
                placement : "top",
                content: "Vous devez obligatoirement indiquer l'URL de la page que doit ouvrir le lien : page d'accueil de l'application ou page spécifique de votre choix. ",
            },
			{
                element: $("#item_target"), 
                title: "type d'ouverture",
                placement : "top",
                content: "Indique comment la page s'ouvrira : choisissez plutôt 'dans un nouvel onglet', cela facilite la navigation pour l'utilisateur. ",
            },
			{
                element: $("#item_itemcategory"), 
                title: "choix de la catégorie",
                placement : "top",
                content: "Choisissez dans quelle catégorie l'item doit être proposé (permet à l'utilisateur de trouver plus facilement ce qu'il cherche). ",
            },
			{
                element: $("#item_roles_1"), 
                title: "Sélectionner un ou plusieurs rôles",
                placement : "left",
                content: "Permet de restreindre l'accès à un item sur un ou plusieurs rôles donnés. Si aucune case n'est cochée tous les rôles sont ciblés, mais seulement si un groupe est sélectionné (comme le groupe 'Tout le monde'). ",
            },
			{
                element: $(".select2-search__field:first"), 
                title: "Sélectionner un ou plusieurs services",
                placement : "left",
                content: "Permet de restreindre l'accès à un item sur un ou plusieurs services. Si aucune case n'est cochée tous les services sont ciblés. ",
            },
			{
                element: $(".select2-search__field:last"), 
                title: "Sélectionner un ou plusieurs groupes",
                placement : "left",
                content: "Permet de restreindre l'accès à un item sur un ou plusieurs groupes. Sélectionnez le groupe 'Tout le monde' pour cibler tous les utilisateurs (sous réserve des restrictions apportées ci-dessus). ",
            },
			{
                element: $("#item_color"), 
                title: "Sélectionner une couleur",
                placement : "left",
                content: "Permet de choisir la couleur de fond de votre item dans la page de gestion du bureau.",
            },
			{
                element: $("#diviconsel"), 
                title: "Sélectionner l'icône de votre item",
                placement : "left",
                content: "Permet de sélectionner l'icône de votre item. ",
            },
			{
                element: $("#item_submit"), 
                title: "Valider la création de l'item",
                placement : "top",
                content: "N'oubliez pas de valider la création de votre item. ",
            },
        ]	
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminAlert() {
    var tour = new Tour({
        name: "adminalert",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter une annonce",
                placement : "top",
                content: "Vous permet d'ajouter une annonce dans la catégorie (Annonces, Alertes...) que vous souhaitez et pour les cibles que vous visez...",
            }, 
			{
                element: $(".btn-success:last"), 
                title: "Ajoutez une catégorie",
                placement : "right",
                content: "Vous permet d'ajouter une nouvelle catégorie qui viendra s'ajouter aux catégories actuelles(Annonces, Alertes...).",
            },
			{
                element: $(".panel-heading:first"), 
                title: "Liste de vos annonces",
                placement : "top",
                content: "Vous pouvez cliquer sur le nom de chacune pour les modifier et sur le bouton ' v ' à droite pour les déplier ",
            },
			{
                element: $(".list-group-item:first"), 
                title: "Filtre de catégorie",
                placement : "left",
                content: "Vous pouvez sélectionner la catégorie que vous souhaitez afficher dans cette page de gestion des annonces (cela n'a pas d'incidence sur l'affichage chez les utilisateurs).",
            },
			{
                element: $("#role-filter"), 
                title: "Filtre de rôle",
                placement : "left",
                content: "Vous pouvez sélectionner les rôles que vous souhaitez afficher",
            },
			{
                element: $("#group-filter"), 
                title: "Filtre de groupe",
                placement : "left",
                content: "Vous pouvez sélectionner les groupes que vous souhaitez afficher",
            },
			{
                element: $(".panel-heading:last"), 
                title: "Filtre de statuts",
                placement : "left",
                content: "Vous pouvez sélectionner les statuts d'annonces que vous souhaitez afficher",
            },
		]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminAlertSubmit() {
    var tour = new Tour({
        name: "adminalertsubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#alert_title"), 
                title: "Titre de l'annonce",
                placement : "top",
                content: "Donnez un titre court et explicite à votre annonce.",
            }, 
			{
                element: $("#alert_publishedat_day"), 
                title: "date de publication",
                placement : "top",
                content: "Indiquer la date de départ de la publication.",
            },
			{
                element: $("#alert_unpublishedat_day"), 
                title: "Date de fin de la publication",
                placement : "top",
                content: "Vous pouvez laisser cette date vide, l'annonce restera affichée tant qu'une date ne sera pas entrée. ",
            },
			{
                element: $("#cke_1_top"), 
                title: "Contenu de l'annonce",
                placement : "top",
                content: "Votre annonce peut être rédigée avec une mise en forme, un lien et même une image... ",
            },
			{
                element: $("#alert_alertcategory"), 
                title: "Catégorie",
                placement : "top",
                content: "Sélectionner la catégorie de l'annonce que vous souhaitez passer. ",
            },
			{
                element: $("#alert_roles_1"), 
                title: "Sélectionner un ou plusieurs rôles",
                placement : "left",
                content: "Permet de restreindre l'accès à l'annonce sur un ou plusieurs rôles donnés. Si aucune case n'est cochée tous les rôles sont ciblés, mais dans ce cas il faudra sélectionner un groupe, par exemple le groupe 'Tout le monde'. ",
            },
			{
                element: $(".select2-search__field:first"), 
                title: "Sélectionner un ou plusieurs services",
                placement : "left",
                content: "Permet de restreindre l'accès à l'annonce sur un ou plusieurs services. N'en sélectionnez aucun pour cibler tous les utilisateurs (sous réserve des autres restrictions apportées). ",
            },
			{
                element: $(".select2-search__field:last"), 
                title: "Sélectionner un ou plusieurs groupes",
                placement : "left",
                content: "Permet de restreindre l'accès à l'annonce sur un ou plusieurs groupes. Sélectionnez le groupe 'Tout le monde' pour cibler tous les utilisateurs (sous réserve des restrictions apportées ci-dessus). ",
            },
			{
                element: $("#alert_submit"), 
                title: "Valider l'annonce",
                placement : "right",
                content: "N'oubliez pas pour finir de valider votre annonce. ",
            },
		]	
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminCalendar() {
    var tour = new Tour({
        name: "admincalendar",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter un calendrier",
                placement : "right",
                content: "Ajouter un calendrier peut être utile en plus des calendriers créés automatiquement pour chaque groupe.",
            }, 
			{
                element: $(".control-label"), 
                title: "Sélectionner les utilisateurs",
                placement : "bottom",
                content: "Vous pouvez afficher non seulement vos propres calendriers mais aussi tous ceux créés automatiquement ou manuellement par tous les autres utilisateurs. Dans ce cas mettez le bouton sur 'On' et entrez un nom dans la zone de recherche pour n'afficher que ceux d'un utilisateur ciblé.",
            },
			{
                element: $(".panel-heading"), 
                title: "liste des calendriers",
                placement : "top",
                content: "Vous pouvez afficher, gérer et même supprimer des calendriers. La suppression d'un calendrier de groupe n'est pas recommandée, vous devriez plutôt ne pas l'afficher dans la page du groupe.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminCalendarSubmit() {
    var tour = new Tour({
        name: "admincalendarsubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#calendar_name"), 
                title: "Nom du calendrier",
                placement : "top",
                content: "Donnez un nom court et explicite à votre calendrier. Il doit permettre de comprendre en quoi il est différent du calendrier d'un groupe",
            }, 
			{
                element: $("#calendar_type"), 
                title: "Sélectionner le type de calendrier",
                placement : "top",
                content: "Choisissez par défaut interne, sauf si vous avez besoin d'utiliser les protocoles d'échange (iCalendar ou CalDAV).",
            },
			{
                element: $("#calendar_color"), 
                title: "couleur du calendrier",
                placement : "top",
                content: "Vous pouvez choisir une couleur spécifique pour différencier votre nouveau calendrier des calendriers existants.",
            },
			{
                element: $("#select2-calendar_user-container"), 
                title: "propriétaire du calendrier",
                placement : "left",
                content: "Affectez le calendrier à un propriétaire qui aura donc tous les droits sur celui-ci. Notez bien que les propriétaires et managers de groupes avec lesquels ce calendrier sera partagé pourront ajouter aussi des évènements.",
            },
			{
                element: $("#calendar_roles_2"), 
                title: "rôles ciblés",
                placement : "left",
                content: "Sélectionner les profils qui peuvent avoir accès à ce calendrier. Si vous laissez vide, tous les profils des groupes sélectionnés ci-dessous auront accès au calendrier.",
            },
			{
                element: $(".select2-search__field"), 
                title: "groupes ciblés",
                placement : "left",
                content: "Sélectionner les groupes qui peuvent avoir accès à ce calendrier. Les évènements de ce calendrier apparaîtront dans l'espace 'groupe' auquel il est rattaché et dans le widget 'Agenda des groupes'.",
            },
			{
                element: $("#calendar_submit"), 
                title: "valider",
                placement : "top",
                content: "N'oubliez pas de valider la création de votre calendrier.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminBlog() {
    var tour = new Tour({
        name: "adminblog",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter un blog",
                placement : "right",
                content: "Ajouter un blog peut être utile en plus des blogs créés automatiquement pour chaque groupe.",
            }, 
			{
                element: $(".control-label"), 
                title: "Sélectionner les utilisateurs",
                placement : "bottom",
                content: "Vous pouvez afficher non seulement vos propres blogs mais aussi tous ceux créés automatiquement ou manuellement par tous les autres utilisateurs. Dans ce cas mettez le bouton sur 'On' et entrez un nom dans la zone de recherche pour n'afficher que ceux d'un utilisateur ciblé.",
            },
			{
                element: $(".panel-heading"), 
                title: "liste des blogs",
                placement : "top",
                content: "Vous pouvez afficher, gérer et même supprimer des blogs. La suppression d'un blog de groupe n'est pas recommandée, vous devriez plutôt ne pas l'afficher dans la page du groupe.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminBlogSubmit() {
    var tour = new Tour({
        name: "adminblogsubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#blog_name"), 
                title: "Nom du blog",
                placement : "top",
                content: "Donnez un nom court et explicite à votre blog. Il doit permettre de comprendre en quoi il est différent du blog d'un groupe",
            }, 
			{
                element: $("#select2-blog_user-container"), 
                title: "propriétaire du blog",
                placement : "left",
                content: "Affectez le blog à un propriétaire qui aura donc tous les droits sur celui-ci. Notez bien que les propriétaires et managers de groupes avec lesquels ce blog sera partagé pourront ajouter aussi des articles.",
            },
			{
                element: $("#blog_roles_2"), 
                title: "rôles ciblés",
                placement : "left",
                content: "Sélectionner les profils qui peuvent avoir accès à ce blog. Si vous laissez vide, tous les profils des groupes sélectionnés ci-dessous auront accès au blog.",
            },
			{
                element: $(".select2-search__field"), 
                title: "groupes ciblés",
                placement : "left",
                content: "Sélectionner les groupes qui peuvent avoir accès à ce blog. Les articles de ce blog apparaîtront dans l'espace 'groupe' auquel il est rattaché et dans le widget 'Journaux des groupes'.",
            },
			{
                element: $("#blog_submit"), 
                title: "valider",
                placement : "top",
                content: "N'oubliez pas de valider la création de votre blog.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminFlux() {
    var tour = new Tour({
        name: "adminflux",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter un flux",
                placement : "right",
                content: "Ajoutez un flux si vous souhaitez abonner un ou plusieurs groupes ou des profils utilisateurs à des flux d'actualités en provenance de sites ou applications de Transnum ou de sites et applications externes.",
            }, 
			{
                element: $("#list"), 
                title: "choisir le flux à consulter ou éditer",
                placement : "top",
                content: "Vous pouvez consulter ou modifier les flux existants en cliquant sur le nom de chacun d'eux. Vous constaterez dans cette liste que certaines applications de Transnum (LimeSurvey, Moodle, Wordpress) peuvent remonter des informations aux utilisateurs sur les contenus qui les concernent.",
            },
			{
                element: $("#role-filter"), 
                title: "afficher les flux par rôle",
                placement : "left",
                content: "Vous pouvez afficher les flux qui concernent certains rôles. En ne choisissant pas de rôle, vous affichez tous les flux.",
            },
			{
                element: $("#group-filter"), 
                title: "afficher les flux par groupe",
                placement : "left",
                content: "Vous pouvez afficher les flux qui concernent certains groupes. En ne choisissant pas de groupe, vous affichez tous les flux.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminFlux() {
    var tour = new Tour({
        name: "adminflux",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter un flux",
                placement : "right",
                content: "Ajoutez un flux si vous souhaitez abonner un ou plusieurs groupes ou des profils utilisateurs à des flux d'actualités en provenance de sites ou applications de Transnum ou de sites et applications externes.",
            }, 
			{
                element: $("#list"), 
                title: "choisir le flux à consulter ou éditer",
                placement : "top",
                content: "Vous pouvez consulter ou modifier les flux existants en cliquant sur le nom de chacun d'eux. Vous constaterez dans cette liste que certaines applications de Transnum (LimeSurvey, Moodle, Wordpress) peuvent remonter des informations aux utilisateurs sur les contenus qui les concernent.",
            },
			{
                element: $("#role-filter"), 
                title: "afficher les flux par rôle",
                placement : "left",
                content: "Vous pouvez afficher les flux qui concernent certains rôles. En ne choisissant pas de rôle, vous affichez tous les flux.",
            },
			{
                element: $("#group-filter"), 
                title: "afficher les flux par groupe",
                placement : "left",
                content: "Vous pouvez afficher les flux qui concernent certains groupes. En ne choisissant pas de groupe, vous affichez tous les flux.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminFluxSubmit() {
    var tour = new Tour({
        name: "adminfluxsubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#flux_title"), 
                title: "Nom du flux",
                placement : "top",
                content: "Donnez un nom court et explicite à votre flux, par exemple le nom de la source de l'information qui sera remontée dans ce flux.",
            }, 
			{
                element: $("#flux_url"), 
                title: "URL du flux",
                placement : "top",
                content: "Les URL de flux ont souvent une extension de type .xml et sont fournis par les sites. Suivant les sites, vous pouvez avoir un choix dans les abonnements pour ne remonter qu'une partie de l'actualité. Pour les flux générés par les applications Transnum, la forme du lien est de type /ninegate/feed/application/##userid## ce qui permet de ne remonter que les contenus ciblant l'utilisateur.",
            },
			{
                element: $("#flux_maxread"), 
                title: "Nombre d'articles affichés",
                placement : "top",
                content: "Choisissez un nombre limité inférieur à 5 par exemple - ainsi vous ne surchargerez pas votre page et ne remonterez que l'actualité la plus récente.",
            },
			{
                element: $("#flux_color"), 
                title: "Couleur du flux",
                placement : "top",
                content: "Sélectionner la couleur que vous voulez associer à votre flux - choisissez des couleurs différenciées pour faciliter l'identification visuelle des actualités.",
            },
			{
                element: $("#flux_roles_2"), 
                title: "sélectionner les rôles",
                placement : "left",
                content: "Vous pouvez sélectionner les rôles que vous ciblez pour ce flux. En ne choisissant pas de rôle, tous les rôles sont informés.",
            },
			{
                element: $(".select2-search__field"), 
                title: "sélectionner les groupes",
                placement : "left",
                content: "Vous pouvez choisir le ou les groupes destinataires de ce flux. Choisissez le groupe 'tout le monde' pour informer tous les utilisateurs.",
            },
			{
                element: $("#flux_submit"), 
                title: "valider",
                placement : "top",
                content: "N'oubliez pas de valider la création ou la modification de votre flux.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminNotice() {
    var tour = new Tour({
        name: "adminnotice",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter une charte",
                placement : "right",
                content: "Ajoutez une charte si vous souhaitez différencier la charte visible par les services ou si vous souhaitez compléter l'information préalable des utilisateurs.",
            }, 
			{
                element: $("#list"), 
                title: "choisir la charte à consulter ou éditer",
                placement : "top",
                content: "Vous pouvez consulter ou modifier les chartes existantes en cliquant sur le nom de chacune d'elles. ",
            },
			{
                element: $("#role-filter"), 
                title: "afficher les chartes par rôle",
                placement : "left",
                content: "Vous pouvez afficher les chartes qui concernent certains rôles. En ne choisissant pas de rôle, vous affichez toutes les chartes.",
            },
			{
                element: $("#group-filter"), 
                title: "afficher les chartes par groupe",
                placement : "left",
                content: "Vous pouvez afficher les chartes qui concernent certains groupes. En ne choisissant pas de groupe, vous affichez toutes les chartes.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminNoticeSubmit() {
    var tour = new Tour({
        name: "adminchartesubmit",
        template: templatetourSolo,            
        steps: [
            {
                element: $("#notice_title"), 
                title: "Nom de la charte",
                placement : "top",
                content: "Donnez un nom court et explicite à votre charte, résumant son contenu.",
            }, 
			{
                element: $("#notice_mustread"), 
                title: "confirmation de lecture et approbation",
                placement : "top",
                content: "Insère une case à cocher qui confirme que la charte a été lue et approuvée.",
            },
			{
                element: $("#cke_notice_description"), 
                title: "Description",
                placement : "top",
                content: "Rédiger le texte de la charte. Vous disposez d'outils de mise en forme et de possibilité d'intégration de liens, images, vidéos...",
            },
			{
                element: $("#notice_roles_2"), 
                title: "sélectionner les rôles",
                placement : "left",
                content: "Vous pouvez sélectionner les rôles que vous ciblez pour cette charte. En ne choisissant pas de rôle, tous les rôles sont informés.",
            },
			{
                element: $(".select2-search__field"), 
                title: "sélectionner les groupes",
                placement : "left",
                content: "Vous pouvez choisir le ou les groupes destinataires de cette charte. Choisissez le groupe 'tout le monde' pour informer tous les utilisateurs.",
            },
			{
                element: $("#notice_submit"), 
                title: "valider",
                placement : "top",
                content: "N'oubliez pas de valider la création ou la modification de votre charte.",
            },
        ]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
function AdminIcon() {
    var tour = new Tour({
        name: "adminicon",
        template: templatetourSolo,            
        steps: [
            {
                element: $(".btn:first"), 
                title: "Ajouter une icône",
                placement : "top",
                content: "Ajoutez une icône en cliquant sur ce bouton - les icônes sont utilisées pour l'identité des items, des widgets et des groupes. En cliquant sur une icône existante, vous pourrez la supprimer ou la modifier. Essayez de choisir des icônes en phase avec les tendances graphiques du portail... ",
            }, 
		]
    });
    
    // Initialize the tour
    tour.init();

    // Start the tour
    tour.goTo(0);
    tour.restart();
}
// Create Button Tour
$(document).on('ready', function(){
var url = document.location.href;
    if (new RegExp("ninegate/user/group/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTourGroupe()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/user/users$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTourUsers()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/user$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTourUser()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/user/group$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='Groups()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp(/ninegate\/user\/group\/update\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTourGroupe()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp(/ninegate\/user\/group\/users\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTourGroupUsers()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp(/ninegate\/config\/group\/users\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTourGroupUsers()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }	
else if (new RegExp("ninegate/user/page/submit").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTourPage()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/commun$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminCommun()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/home$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminHome()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/theme$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminTheme()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/commun/permmodo$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminPermmodo()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/commun/datauser$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminDatauser()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/commun/datausers$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminDatausers()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/whitelist$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminWhitelist()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }	
else if (new RegExp("ninegate/config/niveau01$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminServices()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/niveau02$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminEtablissements()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/group$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminGroup()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/group/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminGroupSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/registration$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminRegistration()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/user$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminUser()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/importuser$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminImportuser()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }	
else if (new RegExp("ninegate/config/template$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminTemplate()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/template/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminTemplateSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp (/ninegate\/config\/template\/view\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminTemplateView()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp (/ninegate\/config\/template\/update\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminTemplateUpdate()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/page$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminPage()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/page/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminPageSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp (/ninegate\/config\/page\/view\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminPageView()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp (/ninegate\/config\/page\/update\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminPageUpdate()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/item$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminItem()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/item/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminItemSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp(/ninegate\/config\/item\/update\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminItemSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/alert$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminAlert()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/alert/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminAlertSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp(/ninegate\/config\/alert\/update\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminAlertSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/calendar$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminCalendar()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }	
else if (new RegExp("ninegate/config/calendar/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminCalendarSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/blog$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminBlog()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }	
else if (new RegExp("ninegate/config/blog/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminBlogSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/flux$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminFlux()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }	
else if (new RegExp("ninegate/config/flux/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminFluxSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp(/ninegate\/config\/flux\/update\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminFluxSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/notice$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminNotice()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/notice/submit$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminNoticeSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp(/ninegate\/config\/notice\/update\/\d+$/).test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminNoticeSubmit()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
else if (new RegExp("ninegate/config/icon$").test(url)) {
$("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='AdminIcon()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }	
    // Instance the Tour
    else if($("#menu-annuaire".length)) {
        $("<li><a title='Aide embarquée' style='cursor:pointer'><i onClick='MyTour()' class='fa fa-question fa-fw'></i></a></li>").insertBefore($("#menu-annuaire"));
    }
});
